%define		__patchlevel		pl00

Name:		xorriso
Version:	0.3.8
Release:	4.%{__patchlevel}%{?dist}
Summary:	ISO 9660 image manipulation tool

Group:		Applications/Archiving
License:	GPLv2 and GPL+ and LGPLv2+
URL:		http://scdbackup.sourceforge.net/xorriso_eng.html	
Source0:	http://scdbackup.sourceforge.net/%{name}-%{version}.%{__patchlevel}.tar.gz
Source1:	xorriso_servicemenu.desktop
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	coreutils util-linux-ng 


%description
xorriso is a program which maps file objects from POSIX compliant
filesystems into Rock Ridge enhanced ISO 9660 filesystems and allows
session-wise manipulation of such filesystems. It can load the management
information of existing ISO images and it writes the session results to
optical media or to filesystem objects. Vice versa xorriso is able to 
restore file objects from ISO 9660 filesystems.


%prep
%setup -q
[ -s CONTRIBUTORS ] && exit 1
rm -f CONTRIBUTORS


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/kde4/services/ServiceMenus
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}/%{_libdir}/pkgconfig/xorriso.pc
cp -p %{SOURCE1} %{buildroot}/%{_datadir}/kde4/services/ServiceMenus


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT README doc 
%{_bindir}/osirrox
%{_bindir}/xorrecord
%{_bindir}/xorriso
%{_bindir}/xorrisofs
%{_mandir}/man1/xorriso.1.gz
%{_datadir}/kde4/services/ServiceMenus/xorriso_servicemenu.desktop


%changelog
* Fri Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-4
- Fixed license string, minor spec cleanups.

* Fri Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-3
- Added desktop entry for KDE.

* Fri Jun 12 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-2
- Fixed multiple (review #505184).

* Wed Jun 10 2009 Juha Tuomala <tuju@iki.fi> - 0.3.8-1
- Initial package.
